Compatibility & System Requirements


For a list of system requirements and what Knoll Light Factory is currently compatible with, visit its compatibility page

If you are looking for information on Knoll Light Factory for Photoshop, it has been discontinued and is not compatible with current versions of Photoshop.

For more information on what Knoll Light Factory for Photoshop was last compatible with, click here.

Related FAQs & Links:

Have more questions? Submit a request

Comments